// DFItemDevice.h: Schnittstelle fr die Klasse CDFItemDevice.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DFITEMDEVICE_H__09C47231_3893_48C0_80E0_65B1C73B25DF__INCLUDED_)
#define AFX_DFITEMDEVICE_H__09C47231_3893_48C0_80E0_65B1C73B25DF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Basisklasse einbinden
#include "DFItemBase.h"
#include <math.h>
#include "DFItemAccessControl.h"
#include "DFItemAccessControl2.h"
#include "DFItemHandling.h"
#include "DFItemMDE.h"
#include "DFItemTableList.h"
#include "DFItemTableRecord.h"

class CDFItemDevice : public CDFItemBase  
{
public:
	CDFItemDevice(NodeTypeID _type = DEVICE);
	virtual ~CDFItemDevice();
	
public:
	/// Veraendern der Daten von der geladenen Studiodatei. 
	int Modify(CModifyData &modifyData);

	inline unsigned int HexToUINT32(char *val, unsigned char digits = 255) 
	{
		unsigned int lVal=0;
		unsigned char len = (digits > (unsigned char)strlen(val)) ? (unsigned char)strlen(val) : digits;
		int i;
		for (i=1; i <= len; i++) {
			if ((val[len - i] >= '0') && (val[len - i] <= '9')) {
				lVal += (unsigned int)((val[len - i] - '0') * (double)pow((double)16, (double)i-1));
			} else if ((val[len - i] >= 'a') && (val[len - i] <= 'f')) {
				lVal += (unsigned int)((10 + val[len - i] - 'a') * (double)pow((double)16, (double)i-1));
			} else if ((val[len - i] >= 'A') && (val[len - i] <= 'F')) {
				lVal += (unsigned int)((10 + val[len - i] - 'A') * (double)pow((double)16, (double)i-1));
			} else {
				return lVal;
			}
		}

		return lVal;
	}
};

#endif // !defined(AFX_DFITEMDEVICE_H__09C47231_3893_48C0_80E0_65B1C73B25DF__INCLUDED_)
