#include "stdafx.h"

#include "DFLogCheck.h"
#ifdef _WIN32
#include <direct.h>
#include <io.h>

#include <time.h>
#include <string>
#include <set>
#include <functional>

using namespace std;
typedef greater<string> sf;
typedef multiset<string, sf> ms;
typedef ms::iterator msIterator;
#endif

CDFLogCheck::CDFLogCheck()
{
}

CDFLogCheck::~CDFLogCheck()
{
}

int CDFLogCheck::Check()
{
#ifdef _WIN32
	int j;
	char szFile[260];
	
	j = 0;
	ms theSet;
	msIterator theIterator;
	// Suche nach Logdateien
	sprintf(szFile, LOG_SEARCH_FILENAME, m_szBasePath, m_szSubFolder);
	int fp;
	struct _finddata_t finddata;
	// Passende Dateien fuer Muster?
	if ((fp = (int)_findfirst(szFile, &finddata)) != -1) {

		// Alle Dateien in einem Set sammeln.
		do {
			
			theSet.insert(finddata.name);

		} while (_findnext(fp, &finddata) != -1);
		_findclose(fp);
	}
	// Suche nach Listendateien
	sprintf(szFile, LOG_SEARCH_LIST_FILENAME, m_szBasePath, m_szSubFolder);
	// Passende Dateien fuer Muster?
	if ((fp = (int)_findfirst(szFile, &finddata)) != -1) {

		// Alle Dateien in einem Set sammeln.
		do {
			
			theSet.insert(finddata.name);

		} while (_findnext(fp, &finddata) != -1);
		_findclose(fp);
	}

	// Sind Dateien verfuegbar.
	if (!theSet.empty()) {

		char tmp[11] = {0,0,0,0,0,0,0,0,0,0,0};
		// Alle Dateien durchgehen
		for (; !theSet.empty() ;) {

			theIterator = theSet.begin();

			// Ist Datei von selbigem Datum?
			if (strncmp(tmp, theIterator->data(), 10) == 0) {

				// Datei mit gleichem Datums-Zeichenfolgenbeginn
				// Kann sein, da fuer verschiedene Kanaele gelogt werden kann.
			} else {

				// Datums-Zeichenfolge des Dateinamen aufnehmen.
				strncpy(tmp, theIterator->data(), 10);
				j++; // Zu erhaltende Datei
			}

			// Datumsbereich der zu erhaltenden Dateien ueberschritten?
			if (j > m_eraseFileDays) {

				sprintf(szFile, LOG_DELETE_FILENAME, m_szBasePath, m_szSubFolder, theIterator->data());
				if (::remove(szFile) == -1) {
					// Konnte nicht geloescht werden!
				}

				TRACE("(%2i)Erase file: %s\n", j, theIterator->data());
			} else {
			
				TRACE("(%2i)Hold file: %s\n", j, theIterator->data());
			}

			// Datei aus Set entfernen
			theSet.erase(theIterator);
		}
	}
#endif
	return 1;
}
